import lang.stride.*;
import java.util.*;
import greenfoot.*;
import java.awt.Color;

/**
 * Herný svet.
 */
public class MojSvet extends World
{
    private static final int SIRKA = 300;
    private static final int VYSKA = 600;

    /**
     * Vytvorí hru s dvomi platformami a jednou loptičkou.
     */
    public MojSvet()
    {
        super(SIRKA, VYSKA, 1);
        Platforma dolnaPlatforma =  new Platforma(Ovladanie.SIPKA_DOLAVA, Ovladanie.SIPKA_DOPRAVA, Ovladanie.SIPKA_HORE, Ovladanie.SIPKA_HORE);
        Platforma hornaPlatforma =  new Platforma("a", "d", "w", "s");
        Bonusovac bonusovac =  new Bonusovac(10);
        Lopta lopta =  new Lopta();
        addObject(dolnaPlatforma, SIRKA / 2, VYSKA - dolnaPlatforma.vyska() / 2);
        addObject(hornaPlatforma, SIRKA / 2, hornaPlatforma.vyska() / 2);
        addObject(bonusovac, SIRKA / 2, VYSKA / 2);
        addObject(lopta, SIRKA / 2, VYSKA / 2);
    }
}
