import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Mravec extends Actor {    
    private Bunka bunka;
    private Smer smer;
    private final Pravidla pravidla;
    
    public Mravec(Bunka bunka, Smer smer, Pravidla pravidla) {
        super();
        
        this.setBunka(bunka);
        this.setSmer(smer);
        this.pravidla = pravidla;
    }
    
    private final void setBunka(Bunka bunka) {
        this.bunka = bunka;
        this.setLocation(bunka.getX(), bunka.getY());
    }
    
    private final void setSmer(Smer smer) {
        this.smer = smer;
        this.setRotation(smer.getUhol());
    }
    
    public void act() {
        Pravidlo novePravidlo = this.pravidla.nasledujuce(this.bunka.getPravidlo());
        
        this.setSmer(Smer.smerPoOtoceni(this.smer, novePravidlo.otocenie));
        this.bunka.setPravidlo(novePravidlo);
        this.setBunka(((Svet)getWorld()).dajBunkuVSmere(this.bunka, this.smer));
    }    
}
