import lang.stride.*;
import java.util.*;
import greenfoot.*;
import java.awt.Color;

/**
 * Kameň ostáva po spadnutí na zemi. Nemá žiadnu hodnotu, ale ak do košíka spadne desať kameňov, hra končí.
 */
public class Kamen extends Ovocie
{
    private static int kameneVKosiku = 0;

    /**
     * Inicializuje Kamen. Rýchlosť padania k zemi je definovaná parametrom. 
     */
    public Kamen(int paRychlost)
    {
        super(paRychlost, 0);
    }

    /**
     * Metóda sa vyvolá po dopadnutí ovocia do košíka.
     */
    public void padDoKosika()
    {
        super.padDoKosika();
        kameneVKosiku = kameneVKosiku + 1;
        if (kameneVKosiku == 5) {
            Greenfoot.stop();
        }
    }

    /**
     * Metóda sa vyvolá po dopadnutí ovocia na zem.
     */
    protected void padNaZem()
    {
        /* Ostaň na zemi*/
    }
}
