import lang.stride.*;
import java.util.*;
import greenfoot.*;
import java.awt.Color;

/**
 * Košík zachytávajúci padajúce ovocie.
 */
public class Kosik extends OvladaciAktor
{
    private int skore;
    private int kapacita;

    /**
     * Vytvorí košík s danou kapacitou.
     */
    public Kosik(int paKapacita)
    {
        skore = 0;
        kapacita = paKapacita;
    }

    /**
     * Volá sa ak sa pohne myška. V parametroch je uložená aktuálna pozícia myšky vo svete.
     */
    public void myskaSaPohla(int x, int y)
    {
        zmenPolohuX(x);
    }

    /**
     * Navýši skóre o daný parameter. Ak je hodnota záporná, skóre sa zníži. Automaticky vypíše aktuálnu hodnotu skóre na obrazovku.
     */
    public void navysSkore(int oKolko)
    {
        skore = skore + oKolko;
        getWorld().showText("Skore: " + skore, 60, 10);
    }

    /**
     * Zníži kapacitu o 1. Automaticky vypíše hodnotu kapacity na obrazovku. Ak kapacita dosiahne 0, hra končí.
     */
    public void znizKapacitu()
    {
        kapacita = kapacita - 1;
        getWorld().showText("Kapacita: " + kapacita, 60, 30);
        if (kapacita == 0) {
            Greenfoot.stop();
        }
    }
}
