import java.util.List;
import java.util.ArrayList;

/**
 * Write a description of class Skladba here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Skladba  
{
    private List<Takt> takty;
    private String nazov;
    private int tempo;

    /**
     * Constructor for objects of class Skladba
     */
    private Skladba(String nazov, int tempo) {
        this.nazov = nazov;
        this.tempo = tempo;
        
        this.takty = new ArrayList<Takt>();
    }
    
    public String getNazov() {
        return this.nazov;
    }
    
    public int getTempo() {
        return this.tempo;
    }
    
    public Takt vyberPrvyTakt() {
        return this.takty.isEmpty() ? null : this.takty.remove(0);
    }
    
    public Takt pozriPrvyTakt() {
        return this.takty.isEmpty() ? null : this.takty.get(0);
    }
    
    public void pridajTakt(Takt takt) {
        this.takty.add(takt);
    }
    
    public boolean maTakty() {
        return !this.takty.isEmpty();
    }
    
    public static Skladba vytvorSkladbuTonina() {
        Skladba skladba = new Skladba("Tonina", 10);
        
        Takt takt;
        
        takt = new Takt(7, Doba.STVRTOVA);
            takt.pridaj(Ton.C3, Doba.STVRTOVA);
            takt.pridaj(Ton.D3, Doba.STVRTOVA);
            takt.pridaj(Ton.E3, Doba.STVRTOVA);
            takt.pridaj(Ton.F3, Doba.STVRTOVA);
            takt.pridaj(Ton.G3, Doba.STVRTOVA);
            takt.pridaj(Ton.A3, Doba.STVRTOVA);
            takt.pridaj(Ton.H3, Doba.STVRTOVA);
        skladba.pridajTakt(takt);
        
        takt = new Takt(7, Doba.CELA);
            takt.pridaj(Ton.C3, Doba.CELA);
            takt.pridaj(Ton.D3, Doba.CELA);
            takt.pridaj(Ton.E3, Doba.CELA);
            takt.pridaj(Ton.F3, Doba.CELA);
            takt.pridaj(Ton.G3, Doba.CELA);
            takt.pridaj(Ton.A3, Doba.CELA);
            takt.pridaj(Ton.H3, Doba.CELA);
        skladba.pridajTakt(takt);
        
        return skladba;
    }
    
    public static Skladba vytvorSkladbuPecNamSpadla() {
        Skladba skladba = new Skladba("Tonina", 8);
        
        Takt takt;
        
        takt = new Takt(4, Doba.STVRTOVA);
            takt.pridaj(Ton.G3, Doba.STVRTOVA);
            takt.pridaj(Ton.E3, Doba.STVRTOVA);
            takt.pridaj(Ton.E3, Doba.STVRTOVA);
            takt.pridaj(Ton.E3, Doba.STVRTOVA);
        skladba.pridajTakt(takt);
        
        takt = new Takt(4, Doba.STVRTOVA);
            takt.pridaj(Ton.G3, Doba.STVRTOVA);
            takt.pridaj(Ton.E3, Doba.STVRTOVA);
            takt.pridaj(Ton.E3, Doba.STVRTOVA);
            takt.pridaj(Ton.E3, Doba.STVRTOVA);
        skladba.pridajTakt(takt);
        
        takt = new Takt(4, Doba.STVRTOVA);
            takt.pridaj(Ton.G3, Doba.STVRTOVA);
            takt.pridaj(Ton.G3, Doba.STVRTOVA);
            takt.pridaj(Ton.A3, Doba.STVRTOVA);
            takt.pridaj(Ton.G3, Doba.STVRTOVA);
        skladba.pridajTakt(takt);
        
        takt = new Takt(4, Doba.STVRTOVA);
            takt.pridaj(Ton.G3, Doba.STVRTOVA);
            takt.pridaj(Ton.F3, Doba.STVRTOVA);
            takt.pridaj(Ton.F3, Doba.POLOVA);
        skladba.pridajTakt(takt);
        
        takt = new Takt(4, Doba.STVRTOVA);
            takt.pridaj(Ton.F3, Doba.STVRTOVA);
            takt.pridaj(Ton.D3, Doba.STVRTOVA);
            takt.pridaj(Ton.D3, Doba.STVRTOVA);
            takt.pridaj(Ton.D3, Doba.STVRTOVA);
        skladba.pridajTakt(takt);
        
        takt = new Takt(4, Doba.STVRTOVA);
            takt.pridaj(Ton.F3, Doba.STVRTOVA);
            takt.pridaj(Ton.D3, Doba.STVRTOVA);
            takt.pridaj(Ton.D3, Doba.STVRTOVA);
            takt.pridaj(Ton.D3, Doba.STVRTOVA);
        skladba.pridajTakt(takt);
        
        takt = new Takt(4, Doba.STVRTOVA);
            takt.pridaj(Ton.F3, Doba.STVRTOVA);
            takt.pridaj(Ton.F3, Doba.STVRTOVA);
            takt.pridaj(Ton.G3, Doba.STVRTOVA);
            takt.pridaj(Ton.F3, Doba.STVRTOVA);
        skladba.pridajTakt(takt);
        
        takt = new Takt(4, Doba.STVRTOVA);
            takt.pridaj(Ton.F3, Doba.STVRTOVA);
            takt.pridaj(Ton.E3, Doba.STVRTOVA);
            takt.pridaj(Ton.E3, Doba.POLOVA);
        skladba.pridajTakt(takt);
        
        return skladba;
    }

}
