import lang.stride.*;
import java.util.*;
import greenfoot.*;
import java.awt.Color;

/**
 * Trieda je zodpovedná za pridávanie bonusov do sveta
 */
public class Bonusovac extends Actor
{
    private boolean generujem;
    private int casovac;

    /**
     * Vytvorí bonusovač, ktorý vloží prvý bonus do hry podľa zadaného parametra
     */
    public Bonusovac(int prvyBonusO)
    {
        generujem = true;
        casovac = prvyBonusO;
    }

    /**
     * Vkladá do hry bonusy
     */
    public void act()
    {
        if ( ! generujem) {
            generujem = true;
            casovac = Greenfoot.getRandomNumber(90) + 10;
        }
        casovac = casovac - 1;
        if (casovac <= 0) {
            vlozNahodnyBonus();
            generujem = false;
        }
    }

    /**
     * Vloží na náhodné súradnice do sveta náhodný bonus.
     */
    public void vlozNahodnyBonus()
    {
        int idBonusu = Bonus.PRVY + Greenfoot.getRandomNumber(Bonus.POSLEDNY);
        Bonus bonus = Bonus.vytvorBonus(idBonusu);
        if (bonus != null) {
            int nahodneX = Greenfoot.getRandomNumber(getWorld().getWidth());
            int nahodneY = Greenfoot.getRandomNumber(getWorld().getHeight());
            getWorld().addObject(bonus, nahodneX, nahodneY);
        }
    }
}
