import greenfoot.Greenfoot;

public class Gen  
{   
    public static final int SIRKA = 5;
    public static final int VYSKA = 20;
    
    private int r;
    private int g;
    private int b;

    public Gen()
    {
        this.r = 0;
        this.g = 0;
        this.b = 0;
    }

    public Gen(int r, int g, int b) {
        this.setRGB(r, g, b);
    }
    
    public int getR() {
        return this.r;
    }
    
    public int getG() {
        return this.g;
    }
    
    public int getB() {
        return this.b;
    }
       
    public final void setRGB(int r, int g, int b) {
        this.r = r;
        this.g = g;
        this.b = b;
    }
    
    public final void nastavRGB(Gen gen) {
        this.r = gen.getR();
        this.g = gen.getG();
        this.b = gen.getB();
    }
    
    public void nastavNahodneRGB() {
        this.r = Greenfoot.getRandomNumber(255);
        this.g = Greenfoot.getRandomNumber(255);
        this.b = Greenfoot.getRandomNumber(255);
    }
    
    public int odlisnost(Gen genNaPorovnanie) {
        return Math.abs(this.r - genNaPorovnanie.getR()) + 
               Math.abs(this.g - genNaPorovnanie.getG()) +
               Math.abs(this.b - genNaPorovnanie.getB());
    }
        
}
