import greenfoot.*;  

public class Miska extends World
{
    
    public static final int SIRKA_MISKY = 1200;
    public static final int VYSKA_MISKY = 800;
    private static final int POCET_PRVOKOV = 30;

    public static final Genom KRASNY_GENOM = Genom.vytvorKrasnyGenom();
    
    public Miska()
    {    
        super(Miska.SIRKA_MISKY, Miska.VYSKA_MISKY, 1); 
        
        for (int i = 0; i < Miska.POCET_PRVOKOV; i++) {
            int x = Greenfoot.getRandomNumber(Miska.SIRKA_MISKY);
            int y = Greenfoot.getRandomNumber(Miska.VYSKA_MISKY);
            int otocenie = Greenfoot.getRandomNumber(360);

            Prvok prvok = new Prvok();
            prvok.turn(otocenie);
            
            this.addObject(prvok, x, y);           
        }
    }
}
