import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Klaves here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Klaves extends Actor
{
    public static final int DLZKA = 20;
    public static final int VYSKA = NotovaOsnova.VYSKA_MEDZERY / 2;
    
    private Ton ton;
    private String klaves;
    
    private boolean stlaceny;
    private boolean pusteny;
    private boolean stlac;
    private int cas;
    
    public Klaves(Ton ton, String klaves) {
        this.ton = ton;
        this.klaves = klaves;
        
        this.stlaceny = false;
        this.pusteny = true;
        this.stlac = false;
        this.cas = 0;
        
        this.nakresliSa();
    }
    
    /**
     * Act - do whatever the Klaves wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        this.stlac = false;
        
        for (Nota nota : this.getIntersectingObjects(Nota.class)) {
            if (nota.getTon() == this.ton && !nota.zaznela()) {
                if (stlaceny) {
                    nota.zaznej();
                    this.stlaceny = false;
                } else {
                    this.stlac = true;
                }
            }
        }
                
        if (!this.stlaceny && this.pusteny && Greenfoot.isKeyDown(this.klaves)) {
            this.stlaceny = true;
            this.pusteny = false;
            this.cas = 50;
        } 
        
        if (!Greenfoot.isKeyDown(this.klaves)) {
            this.cas = 0;
            this.pusteny = true;
        }
        
        if (this.cas == 0) {
            this.stlaceny = false;
        } else {
            this.cas--;
        }
        
        this.nakresliSa();
    }    
    
    private void nakresliSa() {       
        GreenfootImage obrazok = this.getImage();
        obrazok.scale(Klaves.DLZKA, Klaves.VYSKA);
        obrazok.clear();
        obrazok.setColor(this.stlaceny ? Color.GREEN : this.stlac ? Color.BLUE : Color.BLACK);
        obrazok.fillRect(0,0, Klaves.DLZKA - 1, Klaves.VYSKA - 1);
    }
}
