import lang.stride.*;
import java.util.*;
import greenfoot.*;
import java.awt.Color;

/**
 * Bojisko s dvomi tankami a prekážkami.
 */
public class Bojisko extends World
{

    /**
     * Vytvorí bojisko.
     */
    public Bojisko()
    {
        super(600, 400, 1);
        /* vytvorím dva tanky*/
        Tank tank1 =  new Tank("w", "a", "d", "x");
        Tank tank2 =  new Tank("8", "4", "6", "0");
        /* pridám ich do sveta*/
        addObject(tank1, 100, 100);
        addObject(tank2, 500, 300);
        /* druhý tank otočím správnym smerom*/
        tank2.setRotation(180);
        /* vytvorím dve prekážky a vložím ich do sveta*/
        addObject( new Bariera(), 200, 150);
        addObject( new Bariera(), 400, 250);
        /* poslednú bariéru vložím na náhodné súradnice*/
        int nahodneX = 150 + Greenfoot.getRandomNumber(300);
        int nahodneY = 150 + Greenfoot.getRandomNumber(100);
        addObject( new Bariera(), nahodneX, nahodneY);
        /* vytvorím dva bonusy typu Nitro*/
        addObject( new Nitro(), Greenfoot.getRandomNumber(300), Greenfoot.getRandomNumber(400));
        addObject( new Nitro(), 300 + Greenfoot.getRandomNumber(300), Greenfoot.getRandomNumber(400));
        /* vytvorim dva bonusy typu Naboje*/
        addObject( new Naboje(), Greenfoot.getRandomNumber(300), Greenfoot.getRandomNumber(400));
        addObject( new Naboje(), 300 + Greenfoot.getRandomNumber(300), Greenfoot.getRandomNumber(400));
    }
}
